Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1763597 (graph-tool) - Review Request: python-graph-tool - Efficient network analysis tool written in Python
Summary: Review Request: python-graph-tool - Efficient network analysis tool written i...
Keywords:
Status: CLOSED ERRATA
Alias: graph-tool
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Cotton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2019-10-21 07:26 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-11-26 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-23 01:30:45 UTC
Type: ---
Embargoed:
bcotton: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2019-10-21 07:26:03 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool-2.29-1.fc31.src.rpm

Description: 
Graph-tool is an efficient Python module for manipulation and statistical
analysis of graphs (a.k.a. networks). Contrary to most other python modules
with similar functionality, the core data structures and algorithms are
implemented in C++, making extensive use of template metaprogramming, based
heavily on the Boost Graph Library. This confers it a level of performance that
is comparable (both in memory usage and computation time) to that of a pure
C/C++ library.

Please refer to https://graph-tool.skewed.de/static/doc/index.html for
documentation.

Fedora Account System Username: ankursinha


koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=38391212

(takes ~22 hours if the build gets one of the weaker builders, and about 4 with the better ones)

Comment 1 Ben Cotton 2019-10-22 16:41:58 UTC
I'm getting this error running fedora-review:

INFO: Processing local files: python-graph-tool-2.29-1.fc31.src.rpm
INFO: Getting .spec and .srpm Urls from : Local files in /home/bcotton/fedora/packages/python-graph-tool
INFO:   --> SRPM url: file:///home/bcotton/fedora/packages/python-graph-tool/python-graph-tool-2.29-1.fc31.src.rpm
INFO: Using review directory: /home/bcotton/fedora/packages/python-graph-tool/python-graph-tool
error: parse error in expression
error: /home/bcotton/fedora/packages/python-graph-tool/python-graph-tool/srpm-unpacked/python-graph-tool.spec:89: bad %if condition
ERROR: "Can't parse specfile: can't parse specfile\n" (logs in /home/bcotton/.cache/fedora-review.log)
Exception ignored in: <FedoraReview.spec_file._Null object at 0x7f0b950d6a50>
AttributeError: '_Null' object has no attribute 'flush'

This is the line in question:
%if 0%{numthreads} < 0%{_smp_build_ncpus}


Not sure if this is an F30-vs-31 difference or if it's something else.

Comment 2 Ankur Sinha (FranciscoD) 2019-10-22 17:34:13 UTC
Could be a fedora-review thing. The spec should be correct: parses fine with `rpmspec -P ./python-graph-tool.spec`

I've got fedora-review-0.7.3-1.fc31.noarch here and it seemed to go through the process and generate the review.txt template here:

$ fedora-review -n python-graph-tool -p --no-build
INFO: Processing local files: python-graph-tool
INFO: Getting .spec and .srpm Urls from : Local files in /home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS
INFO:   --> SRPM url: file:///home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS/python-graph-tool-2.29-1.fc32.src.rpm
INFO:   --> Spec url: file:///home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS/python-graph-tool.spec
INFO: Using review directory: /home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS/review-python-graph-tool
WARNING: Package python-graph-tool-debuginfo-2.29-1.fc31 not built
WARNING: Package python-graph-tool-debugsource-2.29-1.fc31 not built
WARNING: No cache found for /home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS/review-python-graph-tool/upstream/graph-tool-2.29.tar.bz2, downloading anyway.
INFO: Downloading (Source0): https://downloads.skewed.de/graph-tool/graph-tool-2.29.tar.bz2
INFO: Running checks and generating report
INFO: Active plugins: Shell-api, C/C++, Generic, Python
WARNING: Illegal return from /usr/share/fedora-review/scripts/generic-large-docs.sh, code 80, output: stdout:Documentation size is 0 bytes in 0 files.
 stderr:files over 4GB not supported by cpio, use rpm2archive instead

INFO:  ExclusiveArch dependency checking disabled, enable with EXARCH flag

Review template in: /home/asinha/Documents/02_Code/01_others/fedora-new-packages/python-graph-tool/RPMS/review-python-graph-tool/review.txt
fedora-review is automated tool, but *YOU* are responsible for manually
reviewing the results and finishing the review. Do not just copy-paste
the results without understanding them.

(Not entirely sure what the warning is about)


The numthreads etc is a hack to try and use more threads with %make_build if we get a good builder (since there's no way to choose a good builder). I can remove that bit for the review and add it later before building if that's OK? The srpm from the koji scratch build will differ from this new srpm, though.

Comment 3 Ben Cotton 2019-10-22 18:18:55 UTC
Ah! From the RPM 4.15.0 release notes:

> Add %_smp_build_ncpus macro to determine number of CPUs used for build

F30 uses RPM 4.14. So that would explain why it gets mad (running rpmbuild also gives the same error). Would you mind doing a version without that if statement for review? Or else I'll get an F31 test system set up in the next day or two (I'm in a team face-to-face this week) and do it then.

Comment 4 Ankur Sinha (FranciscoD) 2019-10-22 20:46:08 UTC
I've tweaked the hack to not fail if _smp_build_ncpus is undefined now. That should hopefully parse correctly:

Updated spec/srpm:
Spec URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool-2.29-1.fc31.src.rpm

Got another scratch build running:
https://koji.fedoraproject.org/koji/taskinfo?taskID=38490965

Got lucky here---it's using one of the better machines and building with 8 threads, so it should finish in ~4 hours.

Cheers,

Comment 5 Ankur Sinha (FranciscoD) 2019-10-22 20:56:23 UTC
Here's a scratch build for F30: https://koji.fedoraproject.org/koji/taskinfo?taskID=38491453

This one got a weaker build machine, so will take ~22 hours to complete.

Comment 6 Ankur Sinha (FranciscoD) 2019-10-22 21:11:32 UTC
On second thought, I've removed the conditionals for the review. I'll re-add them to get it to build afterwords:

Updated spec/srpm:
Spec URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-graph-tool/python-graph-tool-2.29-1.fc31.src.rpm

For each build thread, it requires about 15gigs of memory to build, otherwise it'll use up all your RAM + swap and render your system unresponsive. So I wouldn't get fedora-review to build it if you aren't running it on a beast of a machine :(

Comment 7 Ben Cotton 2019-10-23 19:02:27 UTC
I took down my home server trying to run the build (turns out I could have used your original spec by passing the f31 mock config to fedora-review. Alas!). But I have the results of your most recent Koji build. I need to review it before I post it because there are a lot of messages and I suspect some of them are false. I'll try to do that tonight or tomorrow.

Comment 8 Ben Cotton 2019-10-28 14:14:02 UTC
There are a few issues with header files (should they be in a -devel subpackage, and if not why?), non-executable-script and wrong-script-interpreter warnings in rpmlint (although F32 will use Python3 as the default Python, so maybe it doesn't matter), and unversioned .so files. If any of these can't be easily fixed, we'll figure out what to do with them. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: python3-graph-tool : /usr/lib64/python3.7/site-
  packages/graph_tool/include/config.h
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_devel_packages


===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 798720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: The placement of pkgconfig(.pc) files are correct.
     Note: python3-graph-tool : /usr/lib64/pkgconfig/graph-tool-py3.7.pc
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-graph-tool-2.29-1.fc30.x86_64.rpm
          python-graph-tool-2.29-1.fc31.src.rpm
python3-graph-tool.x86_64: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/centrality/libgraph_tool_centrality.so libgraph_tool_centrality.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/clustering/libgraph_tool_clustering.so libgraph_tool_clustering.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/correlations/libgraph_tool_correlations.so libgraph_tool_correlations.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/draw/libgraph_tool_draw.so libgraph_tool_draw.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/draw/libgraph_tool_layout.so libgraph_tool_layout.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/draw/libgt_pycairo_aux.so libgt_pycairo_aux.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/dynamics/libgraph_tool_dynamics.so libgraph_tool_dynamics.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/flow/libgraph_tool_flow.so libgraph_tool_flow.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/generation/libgraph_tool_generation.so libgraph_tool_generation.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/inference/libgraph_tool_inference.so libgraph_tool_inference.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/libgraph_tool_core.so libgraph_tool_core.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/search/libgraph_tool_search.so libgraph_tool_search.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/spectral/libgraph_tool_spectral.so libgraph_tool_spectral.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/stats/libgraph_tool_stats.so libgraph_tool_stats.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/topology/libgraph_tool_topology.so libgraph_tool_topology.so()(64bit)
python3-graph-tool.x86_64: W: private-shared-object-provides /usr/lib64/python3.7/site-packages/graph_tool/util/libgraph_tool_util.so libgraph_tool_util.so()(64bit)
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/graph-tool-py3.7.pc
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/all.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/all.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/centrality/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/centrality/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/clustering/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/clustering/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/collection/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/collection/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/correlations/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/correlations/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/decorators.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/decorators.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/dl_import.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/dl_import.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/draw/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/draw/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/draw/cairo_draw.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/draw/cairo_draw.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/draw/graphviz_draw.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/draw/graphviz_draw.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/draw/gtk_draw.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/draw/gtk_draw.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/dynamics/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/dynamics/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/flow/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/flow/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/generation/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/generation/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/gt_io.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/gt_io.py 644 /usr/bin/env python
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/betweenness_centrality.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/copy_alt.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/graphml.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/graphviz.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/isomorphism.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/kamada_kawai_spring_layout.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/metric_tsp_approx.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/named_function_params-alt.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/overloading.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/push_relabel_max_flow.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/read_graphviz_new.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/boost-workaround/boost/graph/stoer_wagner_min_cut.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/config.h
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/pcg-cpp/pcg_extras.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/pcg-cpp/pcg_random.hpp
python3-graph-tool.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/graph_tool/include/pcg-cpp/pcg_uint128.hpp
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/bisection.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/bisection.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/blockmodel.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/blockmodel.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/blockmodel_em.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/blockmodel_em.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/latent_multigraph.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/latent_multigraph.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/layered_blockmodel.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/layered_blockmodel.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/mcmc.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/mcmc.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/minimize.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/minimize.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/modularity.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/modularity.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/nested_blockmodel.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/nested_blockmodel.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/overlap_blockmodel.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/overlap_blockmodel.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/uncertain_blockmodel.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/uncertain_blockmodel.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/inference/util.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/inference/util.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/search/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/search/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/spectral/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/spectral/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/stats/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/stats/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/topology/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/topology/__init__.py 644 /usr/bin/env python
python3-graph-tool.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/graph_tool/util/__init__.py /usr/bin/env python
python3-graph-tool.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/graph_tool/util/__init__.py 644 /usr/bin/env python
python-graph-tool.src: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
2 packages and 0 specfiles checked; 68 errors, 35 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_CTYPE = "C.UTF-8",
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_CTYPE = "C.UTF-8",
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
(none): E: no installed packages by name python3-graph-tool



Unversioned so-files
--------------------
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/centrality/libgraph_tool_centrality.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/clustering/libgraph_tool_clustering.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/correlations/libgraph_tool_correlations.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/draw/libgraph_tool_draw.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/draw/libgraph_tool_layout.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/draw/libgt_pycairo_aux.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/dynamics/libgraph_tool_dynamics.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/flow/libgraph_tool_flow.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/generation/libgraph_tool_generation.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/inference/libgraph_tool_inference.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/libgraph_tool_core.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/search/libgraph_tool_search.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/spectral/libgraph_tool_spectral.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/stats/libgraph_tool_stats.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/topology/libgraph_tool_topology.so
python3-graph-tool: /usr/lib64/python3.7/site-packages/graph_tool/util/libgraph_tool_util.so

Source checksums
----------------
https://downloads.skewed.de/graph-tool/graph-tool-2.29.tar.bz2 :
  CHECKSUM(SHA256) this package     : 6c0c4336bed6e2f79c91ace6d6914145ee03d0bd5025473b5918aec2b0657f7a
  CHECKSUM(SHA256) upstream package : 6c0c4336bed6e2f79c91ace6d6914145ee03d0bd5025473b5918aec2b0657f7a


Requires
--------
python3-graph-tool (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libCGAL.so.13()(64bit)
    libCGAL_Core.so.13()(64bit)
    libboost_context.so.1.69.0()(64bit)
    libboost_coroutine.so.1.69.0()(64bit)
    libboost_iostreams.so.1.69.0()(64bit)
    libboost_python37.so.1.69.0()(64bit)
    libboost_regex.so.1.69.0()(64bit)
    libboost_system.so.1.69.0()(64bit)
    libboost_thread.so.1.69.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libexpat.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgmp.so.10()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(GOMP_5.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgomp.so.1(OMP_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.7m.so.1.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python3-graph-tool:
    graph-tool(x86-64)
    libgraph_tool_centrality.so()(64bit)
    libgraph_tool_clustering.so()(64bit)
    libgraph_tool_core.so()(64bit)
    libgraph_tool_correlations.so()(64bit)
    libgraph_tool_draw.so()(64bit)
    libgraph_tool_dynamics.so()(64bit)
    libgraph_tool_flow.so()(64bit)
    libgraph_tool_generation.so()(64bit)
    libgraph_tool_inference.so()(64bit)
    libgraph_tool_layout.so()(64bit)
    libgraph_tool_search.so()(64bit)
    libgraph_tool_spectral.so()(64bit)
    libgraph_tool_stats.so()(64bit)
    libgraph_tool_topology.so()(64bit)
    libgraph_tool_util.so()(64bit)
    libgt_pycairo_aux.so()(64bit)
    pkgconfig(graph-tool-py3.7)
    python3-graph-tool
    python3-graph-tool(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review --no-build -pn python-graph-tool
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, Python, C/C++
Disabled plugins: Haskell, Perl, PHP, Java, R, SugarActivity, Ocaml, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 9 Ankur Sinha (FranciscoD) 2019-11-01 14:01:27 UTC
Thanks for the review!

- the shebangs are easily fixable, 
- the unversioned sonames are false positives from rpmlint---they are compiled python libraries and not traditional shared objects, so they don't use the shared object versioning scheme.
- I'm not entirely sure of the header files. Numpy includes them too, for example. I've e-mailed the -devel list to confirm and will update the spec accordingly.

Cheers,
Ankur

Comment 10 Ben Cotton 2019-11-05 14:18:26 UTC
I don't see any replies to your devel post. You can always change this later if needed.

Review approved.

Comment 11 Ankur Sinha (FranciscoD) 2019-11-05 17:26:11 UTC
SCM requested. Yes, I'll follow numpy's example for the moment and make changes if they are requested later.

Thanks very much for the review! :)

Comment 12 Gwyn Ciesla 2019-11-05 18:18:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-graph-tool

Comment 13 Fedora Update System 2019-11-14 09:18:26 UTC
FEDORA-2019-a5a650a68c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5a650a68c

Comment 14 Fedora Update System 2019-11-15 04:38:53 UTC
python-graph-tool-2.29-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5a650a68c

Comment 15 Fedora Update System 2019-11-17 18:39:39 UTC
FEDORA-2019-94e6655f7f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94e6655f7f

Comment 16 Fedora Update System 2019-11-18 03:07:40 UTC
python-graph-tool-2.29-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94e6655f7f

Comment 17 Fedora Update System 2019-11-23 01:30:45 UTC
python-graph-tool-2.29-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-11-26 23:51:31 UTC
python-graph-tool-2.29-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.